Cards
Cards APIs
Cross River card issuing lets you offer customers different types of debit card products. These products, known as instrument types, include contact-less and virtual cards.
Get started with Cross River APIs.
GET calls
- Add query parameters to filter the response the API returns to general GET calls.
- Use Pagination to control presentation of your results.
API calls
Action | API Call | Description |
|---|---|---|
POST /cardmanagement/v1/cards | Requests creation of a new card. | |
POST /cardmanagement/v1/cards/{id}/activate | Activates a card for a customer. This is the preferred way to activate a card. | |
Set PIN | PUT /cardmanagement/v1/cards/{id}/pin | Sets the customer PIN. |
POST /cardmanagement/v1/cards/{id}/replace | Order a replacement for damaged, lost or stolen cards. | |
GET /cardmanagement/v1/cards | Returns details about all cards based on the input. | |
GET /cardmanagement/v1/cards/{id} | Returns the details of a specific debit card based on its ID. | |
GET /cardmanagement/v1/transactions/{id} | Returns information about card transactions based on partner ID. | |
PUT /cardmanagement/v1/cards/{id}/profile | Retrieves the profile associated to a card. | |
POST /cardmanagement/v1/cards/{id}/suspend | Suspends a card based on card ID. | |
POST /cardmanagement/v1/cards/{id}/unsuspend | Unsuspends a card based on card ID. | |
POST /cardmanagement/v1/cards/{id}/admin-block | Card blocked by admin. Status returned is suspended. | |
POST cardmanagement/v1/cards/{id}/close | Permanently deactivates a card. Closed cards cannot be reactivated.
| |
PUT /cardmanagement/v1/cards/{cardId}/controls | Limit the amount of money that can be spent through different channels in a given period. | |
GET /cardmanagement/v1/cards/{cardId}/controls | Limit the amount of money that can be spent through different channels in a given period. | |
GET /cardmanagement/v1/cards/{cardId}/tokens | Retrieve all wallet tokens associated with a card. | |
GET /cardmanagement/v1/cards/{cardId}/tokens/{tokenId} | Retrieve a specific wallet token by its Cross River token ID | |
PUT /cardmanagement/v1/cards/{cardId}/tokens/{tokenId} | Update token status (suspend, resume, delete). | |
GET /cardmanagement/v1/3ds/{id} | This API enables you to get your webhook event details. | |
POST /cardmanagement/v1/3ds/{id}/validate | Enables you to proactively notify when a transaction has completed. |
Simulations - Sandbox only
Action | API Call | Description |
|---|---|---|
POST /cardmanagement/v1/simulate/authorization | Simulates merchant authorization. | |
POST /cardmanagement/v1/simulate/clearing | Simulates replacement of a memo post with a core transaction. | |
POST /cardmanagement/v1/simulate/reversal | Simulates the reversal an existing authorization. This reverses the original authorization placed on the account and removes it from the deposit account activity. | |
POST /cardmanagement/v1/simulate/incremental | Simulates an incremental transaction reflected in the deposit account activity.
| |
POST /cardmanagement/v1/simulate/single-message-clearing | Simulates verification and requires the cardholder to enter their PIN to authorize and clear their transaction.
| |
POST /cardmanagement/v1/simulate/single-message-reversal | Simulates a reversal transaction to a single message clearing transaction.
| |
POST /cardmanagement/v1/simulate/tokenization/approve-provisioning | Simulate an approval of a wallet provisioning request. | |
POST /cardmanagement/v1/simulate/tokenization/send-passcode | Simulate sending activation passcode to cardholder | |
POST /cardmanagement/v1/simulate/tokenization/token-completed | Simulate completion of tokenization process. | |
POST /cardmanagement/v1/simulate/3ds/authenticate | Simulates a card transaction 3DS authentication with OTP (One-Time Passcode). The OTP will be sent to your chosen webhook URL or OOB (Out-of-band) that interacts with a 3rd party application. |
Related topics
Tutorials
See our API tutorials to learn how to:
- Create a card: Create and order a new card.
- Activate a card: Change the card status to Active.
- Simulate card management: Test the system with our card simulation endpoints.